SettingsWidget Class Reference

The SettingsWidget is used to to display and alter Settings. More...

`#include <settingswidget.h>`

Inheritance diagram for SettingsWidget:

## Public Types

enum | SettingSignal { LogbookWidget , HomeWidget , AircraftWidget , PilotsWidget , MainWindow }
| enumerates Widgets that need to receive a signal when a setting is updated.

## Signals

void | settingChanged (SettingsWidget::SettingSignal widget)
| settingChanged is emitted when a setting change occurs that needs to trigger an update (repaint) to another widget.

## Public Member Functions

| SettingsWidget (QWidget *parent=nullptr)

## Protected Member Functions

void | changeEvent (QEvent *event) override
| Handles change events, like updating the UI to new localisation.

## Detailed Description

The SettingsWidget is used to to display and alter Settings.

Most Inputs are collected and processed in various slots and written to the settings file via the Settings class. In the `Personal` Settings tab, the user can edit his personal details, which are then written to the Database (The Logbook owner is registered in the Pilots Database with `pilot_id = 1`).

The documentation for this class was generated from the following files:

- src/gui/widgets/settingswidget.h
- src/gui/widgets/settingswidget.cpp